Package org.eclipse.lemminx.settings

## Class PathPatternMatcher

- java.lang.Object
- - org.eclipse.lemminx.settings.PathPatternMatcher

Direct Known Subclasses:
  `FilePathMapping`, `XMLColors`, `XMLExcludedSymbolFile`, `XMLFileAssociation`, `XMLReferences`, `XMLSymbolFilter`

    public class PathPatternMatcher
    extends Object

### Constructor Summary

Constructors
`PathPatternMatcher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`PathMatcher` `getPathMatcher()`
`String` `getPattern()`
`boolean` `matches​(String uri)`
`boolean` `matches​(URI uri)`
`void` `setPathMatcher​(PathMatcher pathMatcher)`
`PathPatternMatcher` `setPattern​(String pattern)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathPatternMatcher

    public PathPatternMatcher()

### Method Detail

#### getPattern

    public String getPattern()

#### setPattern

    public PathPatternMatcher setPattern​(String pattern)

#### getPathMatcher

    public PathMatcher getPathMatcher()

#### setPathMatcher

    public void setPathMatcher​(PathMatcher pathMatcher)

#### matches

    public boolean matches​(String uri)

#### matches

    public boolean matches​(URI uri)

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`